List project templates
API call to list project templates.
Use the query parameters below to refine your search criteria for project templates:
- name - The full project template name or a portion of it. For example, using
name=GUIorname=02will locate project templates namedGUI02. - clientId - The client’s ID within the system, not interchangeable with its UID.
- clientName - The complete or partial name of the client. For instance, using
clientName=GUIorclientName=02will find project templates associated with the clientGUI02. - ownerUid - The user UID who owns the project template within the system, interchangeable with its ID.
- domainName - The complete or partial name of the domain. Using
domainName=GUIordomainName=02will find project templates associated with the domainGUI02. - subDomainName - The complete or partial name of the subdomain. For instance, using
subDomainName=GUIorsubDomainName=02will locate project templates linked to the subdomainGUI02. - costCenterId - The cost center’s ID within the system, not interchangeable with its UID.
- costCenterName - The complete or partial name of the cost center. For example, using
costCenterName=GUIorcostCenterName=02will find project templates associated with the cost centerGUI02. - businessUnitName - The complete or partial name of the business unit. For instance, using
businessUnitName=GUIorbusinessUnitName=02will locate project templates linked to the business unitGUI02. - sort - Determines if the resulting list of project templates should be sorted by their names or the date they
were created. This field supports either
dateCreatedortemplateNameas values. - direction - Indicates the sorting order for the resulting list by using either
asc(ascending) ordesc(descending) values. - pageNumber - Indicates the desired page number (zero-based) to retrieve. The total number of pages is returned in
the
totalPagesfield within each response. - pageSize - Indicates the page size, affecting the
totalPagesretrieved in each response and potentially impacting the number of iterations needed to obtain all project templates.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Filter by project template name
Filter by client ID
Filter by client name
Filter by owner user UID
Filter by creator user UID
Filter by domain name
Filter by subdomain name
Filter by cost center ID
Filter by cost center name
Filter by business unit name
Filter by source language codes
Filter by target language codes
Filter to templates created within the last N hours
x >= 0templateName, dateCreated, clientName, businessUnitName, domainName, subdomainName, createdBy, owner, sourceLang Sort direction
asc, desc asc|descPage number, starting with 0, default 0
x >= 0Page size, accepts values between 1 and 50, default 50
1 <= x <= 50